


var POWER_ERROR_CLEAR_WAIT="+180";
var FROST_ERROR_CLEAR_WAIT="+8000"; //"+9600"
var FAN_ERROR_CLEAR_WAIT="+180";// +180


/* This dictionary declares the different timers. The names have to
 * coincide with the subscriptions in the xml file.*/

var timers={};
timers["TIMER_sendSceneFSM"]={"name":"wesco_sendSceneFSM_Timer","id":"wesco_sendSceneFSM","duration":"+5"};
timers["TIMER_configureWatchdogFSM"]={"name":"wesco_configureWatchdogFSM_Timer","id":"wesco_configureWatchdogFSM","duration":"+4"};

timers["TIMER_sendPushNotification"]={"name":"wesco_sendPushNotification_Timer","id":"wesco_sendPushNotification","duration":"+120"};

// The duration of this timer is changed dynamically according to the error type
timers["TIMER_clearupAirboxError"]={"name":"wesco_AirboxErrorClearup_Timer","id":"wesco_AirboxErrorClearup_","duration":"+5"};
timers["TIMER_discoverAirboxes"]={"name":"wesco_discoverAirboxes_Timer","id":"wesco_discoverAirboxes_","duration":"+30"};
timers["TIMER_checkFilterReplacement"]={"name":"wesco_checkFilterReplacement_Timer","id":"wesco_checkFilterReplacement","duration":"+10800"}; //+86400=1day

timers["TIMER_configWatchdog"]={"name":"wesco_setWatchdog_Timer","id":"wesco_configWatchdog_","duration":"+30"};


timers["TIMER_discoverAirboxes"]={"name":"wesco_discoverAirboxes_Timer","id":"wesco_discoverAirboxes_","duration":"+60"};


function callTimer(timerName,timerID,timerDuration,parameter){

    var ID=JSON.parse(Property.getProperty("_fsm/timedevents/"+timerID));

    if (ID != null){
	var scheduledevents = Property.getNode("/system/EventInterpreter/ScheduledEvents");
	scheduledevents.removeChild(ID);
	Property.store();
    }

    // wcEventTimer is the common event name for all timer events
    var eventTimer = new TimedEvent(timerName,timerDuration,parameter);
    var eventTimerID = eventTimer.raise();

    saveToPropertyTree("_fsm/timedevents/"+timerID,JSON.stringify(eventTimerID),true);

    return eventTimerID;
}
